#ifndef XAUDIOPACKETALIGNED_H
#define XAUDIOPACKETALIGNED_H

#include "xasset.h"
#include "xaudioxmaloopregion.h"

#include <QVector>

class XAudioPacketAligned : public XAsset
{
public:
    XAudioPacketAligned();
    ~XAudioPacketAligned();

    virtual void ParseData(QDataStream* aStream) override;
    virtual void Clear() override;

private:
    QByteArray mBuffer;
    quint32 mBufferSize;
    quint32 mLoopCount;
    QVector<XAudioXmaLoopRegion> aXmaLoop;
    char mContext;
};

#endif // XAUDIOPACKETALIGNED_H
